Package com.io7m.idstore.server.user_view

# Class IdUVMessage

java.lang.Object
com.io7m.idstore.server.http.IdHTTPHandlerFunctional
com.io7m.idstore.server.user_view.IdUVMessage

All Implemented Interfaces:
  `io.helidon.webserver.http.Handler`, `io.helidon.webserver.ServerLifecycle`

public final class IdUVMessage extends IdHTTPHandlerFunctional
Display a message logged to the user's (authenticated) session.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdUVMessage(com.io7m.repetoir.core.RPServiceDirectoryType services)`
  Display a message logged to the user's (authenticated) session.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static IdHTTPResponseType`
  `showMessage(IdHTTPRequestInformation information, IdSessionUser session, IdServerBrandingServiceType branding, IdFMTemplateType<IdFMMessageData> template)`
  Show a message from the given session.

  ### Methods inherited from class com.io7m.idstore.server.http.IdHTTPHandlerFunctional

  `handle`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface io.helidon.webserver.ServerLifecycle

  `afterStop, beforeStart`

- ## Constructor Details

  - ### IdUVMessage

    public IdUVMessage(com.io7m.repetoir.core.RPServiceDirectoryType services)
    Display a message logged to the user's (authenticated) session.
    Parameters:
      `services` - The services

- ## Method Details

  - ### showMessage

    public static IdHTTPResponseType showMessage(IdHTTPRequestInformation information, IdSessionUser session, IdServerBrandingServiceType branding, IdFMTemplateType<IdFMMessageData> template)
    Show a message from the given session.
    Parameters:
      `information` - The request information
      `session` - The user session
      `branding` - The branding resources
      `template` - The message template
    Returns:
      A formatted response